Bug 481086 - Cannot install a same theme after deleting it from the list
Cannot install a same theme after deleting it from the list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 22:18 EST by Yolkfull Chow
Modified: 2010-06-28 07:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (11.94 KB, image/png)
2009-01-21 22:18 EST, Yolkfull Chow
no flags Details

  None (edit)
Description Yolkfull Chow 2009-01-21 22:18:55 EST
Created attachment 329683 [details]
screen shot

Description of problem:
Install a theme, then delete it from the list. Try to install the same theme again will get the fail window telling that "Installation for theme ... failed. Cannot move directory over directory". That is because although we have deleted the theme from the list, the directory created under /home/$user/.themes/$theme_name is not deleted at all which really result in the problem.  We could only delete it manually to fix it.

Version-Release number of selected component (if applicable):
gnome-desktop-2.25.5-1.fc11.i386

How reproducible:
Everytime

Steps to Reproduce:
1. install a theme
2. delete the newly installed theme
3. try to install the theme again
  
Actual results:
The directory which is created under /home/$user/.themes/ when installing the theme is not deleted at all which result in the same theme cannot be installed at a second time.

Expected results:
When we delete the theme from the list, both the theme in list and its directory under /home/$user/.themes/ should be deleted.

Additional info:
Comment 1 Bug Zapper 2009-06-09 06:49:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:46:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:07:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.